---
stage: Enablement
group: Distribution
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/engineering/ux/technical-writing/#designated-technical-writers
---

# Gitaly Cluster

[Gitaly Cluster](https://docs.gitlab.com/ee/administration/gitaly/praefect.html) provides
fault-tolerant storage for repositories. It uses Praefect as a router and transaction manager for
Gitaly.

## Enable Gitaly Cluster

By default, Gitaly Cluster is not enabled. For information on enabling Gitaly Cluster, see
the Gitaly Cluster [setup instructions](https://docs.gitlab.com/ee/administration/gitaly/praefect.html#setup-instructions).

## Update GitLab when Gitaly Cluster is enabled

For information on updating GitLab with Gitaly Cluster enabled, see the
[specific instructions](https://docs.gitlab.com/ee/update/zero_downtime.html#gitaly-cluster).
